| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::SearchInfo Class Reference

A container class for transporting search information from the database to AlbumManager.

## Public Types
typedef QList< SearchInfo > | List

## Public Member Functions
bool | isNull () const
bool | operator< (const SearchInfo &info) const
| needed for sorting

## Public Attributes
int | id = 0
QString | name
QString | query
DatabaseSearch::Type | type = DatabaseSearch::UndefinedType